:root {
  /* Fonts */
  --text-font-family: 'Inter var';
  --text-font-is-google: 0;
  --text-font-family-fallback: -apple-system, BlinkMacSystemFont, avenir next, avenir, helvetica neue, helvetica, Ubuntu, roboto, noto, segoe ui, arial;
  --text-font-base: sans-serif;
  --header-font-family: 'Inter var';
  --header-font-is-google: 0;
  --header-font-family-fallback: -apple-system, BlinkMacSystemFont, avenir next, avenir, helvetica neue, helvetica, Ubuntu, roboto, noto, segoe ui, arial;
  --code-font-family: 'IBM Plex Mono';
  --code-font-is-google: 0;
  --base-font-size: 22px;
  --text-font-size: 1rem;
  --code-font-size: .85rem;
  --code-inline-font-size: .9em;
  --header-h1-font-size: 2.5rem;
  --header-h2-font-size: 2rem;
  --header-h3-font-size: 1.5rem;

  /* Colors */
  --text-color: #181716;
  --header-color: #181716;
  --background-color: #f2f2f2;
  --link-color: #00b37d;
  --code-highlight-color: #00b37d4c;
  --inverse-text-color: #181716;
  --inverse-background-color: #d9d9d9;
  --inverse-header-color: #181716;
  --inverse-link-color: #00b37d;
  --title-slide-background-color: #d9d9d9;
  --title-slide-text-color: #181716;
  --header-background-color: #181716;
  --header-background-text-color: #f2f2f2;
}

html {
  font-size: var(--base-font-size);
}

body {
  font-family: var(--text-font-family), var(--text-font-family-fallback), var(--text-font-base);
  font-weight: normal;
  color: var(--text-color);
}
h1, h2, h3 {
  font-family: var(--header-font-family), var(--header-font-family-fallback);
  font-weight: 700;
  color: var(--header-color);
}
.remark-slide-content {
  background-color: var(--background-color);
  font-size: 1rem;
  padding: 16px 64px 16px 64px;
  width: 100%;
  height: 100%;
}
.remark-slide-content h1 {
  font-size: var(--header-h1-font-size);
}
.remark-slide-content h2 {
  font-size: var(--header-h2-font-size);
}
.remark-slide-content h3 {
  font-size: var(--header-h3-font-size);
}
.remark-code, .remark-inline-code {
  font-family: var(--code-font-family), Menlo, Consolas, Monaco, Liberation Mono, Lucida Console, monospace;
}
.remark-code {
  font-size: var(--code-font-size);
}
.remark-inline-code {
  font-size: var(--code-inline-font-size);
  color: #181716;
  background-color: #f2f2f2;
  padding: 2px;
}
.remark-slide-number {
  color: #d9d9d9;
  opacity: 1;
  font-size: 0.9rem;
}
strong {
  font-weight: bold;
}
a, a > code {
  color: var(--link-color);
  text-decoration: none;
}
.footnote {
  position: absolute;
  bottom: 60px;
  padding-right: 4em;
  font-size: 0.9em;
}
.remark-code-line-highlighted {
  background-color: var(--code-highlight-color);
}
.inverse {
  background-color: var(--inverse-background-color);
  color: var(--inverse-text-color);

}
.inverse h1, .inverse h2, .inverse h3 {
  color: var(--inverse-header-color);
}
.inverse a, .inverse a > code {
  color: var(--inverse-link-color);
}
.title-slide, .title-slide h1, .title-slide h2, .title-slide h3 {
  color: var(--title-slide-text-color);
}
.title-slide {
  background-color: var(--title-slide-background-color);
}
.title-slide .remark-slide-number {
  display: none;
}
/* Two-column layout */
.left-column {
  width: 20%;
  height: 92%;
  float: left;
}
.left-column h2, .left-column h3 {
  color: #777;
}
.left-column h2:last-of-type, .left-column h3:last-child {
  color: #000;
}
.right-column {
  width: 75%;
  float: right;
  padding-top: 1em;
}
.pull-left {
  float: left;
  width: 47%;
}
.pull-right {
  float: right;
  width: 47%;
}
.pull-right + * {
  clear: both;
}
img, video, iframe {
  max-width: 100%;
}
blockquote {
  border-left: solid 5px #bfd02f;
  padding-left: 1em;
}
.remark-slide table {
  margin: auto;
  border-top: 1px solid #d9d9d9;
  border-bottom: 1px solid #d9d9d9;
}
.remark-slide table thead th {
  border-bottom: 1px solid #d9d9d966;
}
th, td {
  padding: 5px;
}
.remark-slide thead, .remark-slide tfoot, .remark-slide tr:nth-child(even) {
  background: #d9d9d933;
}
table.dataTable tbody {
  background-color: var(--background-color);
  color: var(--text-color);
}
table.dataTable.display tbody tr.odd {
  background-color: var(--background-color);
}
table.dataTable.display tbody tr.even {
  background-color: #d9d9d933;
}
table.dataTable.hover tbody tr:hover, table.dataTable.display tbody tr:hover {
  background-color: rgba(255, 255, 255, 0.5);
}
.dataTables_wrapper .dataTables_length, .dataTables_wrapper .dataTables_filter, .dataTables_wrapper .dataTables_info, .dataTables_wrapper .dataTables_processing, .dataTables_wrapper .dataTables_paginate {
  color: var(--text-color);
}
.dataTables_wrapper .dataTables_paginate .paginate_button {
  color: var(--text-color) !important;
}

/* Horizontal alignment of code blocks */
.remark-slide-content.left pre,
.remark-slide-content.center pre,
.remark-slide-content.right pre {
  text-align: start;
  width: max-content;
  max-width: 100%;
}
.remark-slide-content.left pre,
.remark-slide-content.right pre {
  min-width: 50%;
  min-width: min(40ch, 100%);
}
.remark-slide-content.center pre {
  min-width: 66%;
  min-width: min(50ch, 100%);
}
.remark-slide-content.left pre {
  margin-left: unset;
  margin-right: auto;
}
.remark-slide-content.center pre {
  margin-left: auto;
  margin-right: auto;
}
.remark-slide-content.right pre {
  margin-left: auto;
  margin-right: unset;
}

/* Slide Header Background for h1 elements */
.remark-slide-content.header_background > h1 {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  background: var(--header-background-color);
  color: var(--header-background-text-color);
  padding: 2rem 64px 1.5rem 64px;
  margin-top: 0;
  box-sizing: border-box;
}
.remark-slide-content.header_background {
  padding-top: 7rem;
}

@page { margin: 0; }
@media print {
  .remark-slide-scaler {
    width: 100% !important;
    height: 100% !important;
    transform: scale(1) !important;
    top: 0 !important;
    left: 0 !important;
  }
}




/* Extra CSS */
.highlight-last > ul > li, .highlight-last > ol > li {
  opacity: 0.5;
}
.highlight-last > ul > li:last-of-type, .highlight-last > ol > li:last-of-type {
  opacity: 1;
}
code, .remark-code-line, .remark-inline-code {
  font-feature-settings: 'zero' 1;
  text-decoration: none;
}
.hljs-github .hljs {
  background: #d9d9d9;
  border: 1px solid  #ADADAD;
}
.remark-inline-code {
  padding: 3px 6px;
  border-radius: 4px;
}
ul li::marker {
  content: '\25B6\  ';
  color: #bfd02f;
  font-size: .8rem;
  font-weight: 700;
}
ol li::marker {
  color: #bfd02f;
  font-size: .85rem;
  font-weight: 700;
}
.title-slide h2 {
  font-weight: 500;
}
.title-slide h3 {
  font-family: var(--code-font-family);
  font-weight: 400;
  color: #00b37d;
}
body {
  line-height: 1.45;
}
h1, h2, h3 {
  line-height: 1.2;
}
table {
  font-feature-settings: 'tnum' 1;
}
.remark-slide-number {
  display: none;
}
.inverse > .xe__progress-bar__container {
  display: none;
}
.small {
  font-size: .8rem;
}
.smaller {
  font-size: .6rem;
}
.deemph {
  opacity: 0.5;
}
.full {
  padding: 0px;
  background-color: white;
}
